QGIS Application - Bug report #15299

While opening projects: "Loading composer" leads to crash

2016-07-18 03:57 AM - Christian Meessen

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.18.4

Operating System: Windows 7 64bit, Lubuntu 16.04
Pull Request or Patch supplied:

Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 23232

Description

| am having troubles with loading projects that contain print composers. Upon opening a project, QGIS hangs and doesn't respond when
"Loading composer ..". Waiting does not solve the problem and QGIS must be restarted, rendering the project useless for further use. The
problem seems to appear randomly. For a while, the project loads fine even with print composers, but at some point it will crash. |

observed this with the latest QGIS both on Windows 7 64bit and Lubuntu 16.04.

If it helps, this is the output of the Windows dialogue:

Description:
A problem caused this program to stop interacting with Windows.

Problem signature:
Problem Event Name: AppHangB1
Application Name: qgis-bin.exe
Application Version: 0.0.0.0
Application Timestamp: 5782dbe5
Hang Signature: 4d6éb
Hang Type: 524288
OS Version: 6.1.7601.2.1.0.256.4
Locale ID: 1031
Additional Hang Signature 1: 4d6bee67c1c5fbd0cad04de3f16a241e
Additional Hang Signature 2: e4c5
Additional Hang Signature 3: e4c5dedbadeifdaab7dc58ebb42cc90d
Additional Hang Signature 4: 4d6b
Additional Hang Signature 5: 4d6bee67c1c5fbd0cad04de3f16a241e
Additional Hang Signature 6: e4c5
Additional Hang Signature 7: e4c5dedbade1fdaab7dc58ebb42cc90d

History

#1 - 2016-07-18 03:01 PM - Nyall Dawson
- Status changed from Open to Feedback

We'll need more information to go on. Can you share a project which demonstrates this reliably?

#2 - 2016-07-19 01:31 AM - Christian Meessen
- File Argentina2.qgs added
Thank you for your response. | attached a project that causes a crash.

#3 - 2017-01-02 10:25 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.16.0 to 2.18.2

- Category changed from Map Composer/Printing to Project Loading/Saving

Confirmed also on 2.18.2, opening the attached project, even with no data, freezes QGIS.

#4 - 2017-03-07 01:19 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Affected QGIS version changed from 2.18.2 to 2.18.4

This loads in master. Also because of other tickets is clear that loading projects have been much improved in master. To be seen if there will be any
backport.

Files

Argentina2.qgs 334 KB 2016-07-18 Christian Meessen
